# Visualization
TKV3d
Graphic3d

# Graphic3d_HSequenceOfStructure Class Reference

`#include <Graphic3d_HSequenceOfStructure.hxx>`

## Public Member Functions

| Graphic3d_HSequenceOfStructure ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Handle(Graphic3d_Structure)&anItem)
Standard_EXPORT void | Append (const Handle(Graphic3d_HSequenceOfStructure)&aSequence)
Standard_EXPORT void | Prepend (const Handle(Graphic3d_Structure)&anItem)
Standard_EXPORT void | Prepend (const Handle(Graphic3d_HSequenceOfStructure)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(Graphic3d_Structure)&anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(Graphic3d_HSequenceOfStructure)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(Graphic3d_Structure)&anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(Graphic3d_HSequenceOfStructure)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_Graphic3d_HSequenceOfStructure | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Handle(Graphic3d_Structure)&anItem)
Standard_EXPORT const Handle_Graphic3d_Structure & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Handle_Graphic3d_Structure & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const Graphic3d_SequenceOfStructure & | Sequence () const
Graphic3d_SequenceOfStructure & | ChangeSequence ()
Standard_EXPORT Handle_Graphic3d_HSequenceOfStructure | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Graphic3d_SequenceOfStructure | mySequence

## Constructor & Destructor Documentation

Graphic3d_HSequenceOfStructure::Graphic3d_HSequenceOfStructure | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void Graphic3d_HSequenceOfStructure::Append | ( | const Handle(Graphic3d_HSequenceOfStructure)& | aSequence | ) |

Standard_EXPORT void Graphic3d_HSequenceOfStructure::Append | ( | const Handle(Graphic3d_Structure)& | anItem | ) |

Graphic3d_SequenceOfStructure& Graphic3d_HSequenceOfStructure::ChangeSequence | ( |  | ) |

Standard_EXPORT Handle_Graphic3d_Structure& Graphic3d_HSequenceOfStructure::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void Graphic3d_HSequenceOfStructure::Clear | ( |  | ) |

Standard_EXPORT void Graphic3d_HSequenceOfStructure::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const Graphic3d_HSequenceOfStructure::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void Graphic3d_HSequenceOfStructure::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(Graphic3d_HSequenceOfStructure)& | aSequence
| ) |

Standard_EXPORT void Graphic3d_HSequenceOfStructure::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(Graphic3d_Structure)& | anItem
| ) |

Standard_EXPORT void Graphic3d_HSequenceOfStructure::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(Graphic3d_HSequenceOfStructure)& | aSequence
| ) |

Standard_EXPORT void Graphic3d_HSequenceOfStructure::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(Graphic3d_Structure)& | anItem
| ) |

Standard_Boolean Graphic3d_HSequenceOfStructure::IsEmpty | ( |  | ) | const

Standard_Integer Graphic3d_HSequenceOfStructure::Length | ( |  | ) | const

Standard_EXPORT void Graphic3d_HSequenceOfStructure::Prepend | ( | const Handle(Graphic3d_HSequenceOfStructure)& | aSequence | ) |

Standard_EXPORT void Graphic3d_HSequenceOfStructure::Prepend | ( | const Handle(Graphic3d_Structure)& | anItem | ) |

Standard_EXPORT void Graphic3d_HSequenceOfStructure::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void Graphic3d_HSequenceOfStructure::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void Graphic3d_HSequenceOfStructure::Reverse | ( |  | ) |

const Graphic3d_SequenceOfStructure& Graphic3d_HSequenceOfStructure::Sequence | ( |  | ) | const

Standard_EXPORT void Graphic3d_HSequenceOfStructure::SetValue | ( | const Standard_Integer | anIndex,
|  | const Handle(Graphic3d_Structure)& | anItem
| ) |

Standard_EXPORT Handle_Graphic3d_HSequenceOfStructure Graphic3d_HSequenceOfStructure::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_Graphic3d_HSequenceOfStructure Graphic3d_HSequenceOfStructure::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Handle_Graphic3d_Structure& Graphic3d_HSequenceOfStructure::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

Graphic3d_SequenceOfStructure Graphic3d_HSequenceOfStructure::mySequence `[private]`

The documentation for this class was generated from the following file:

- Graphic3d_HSequenceOfStructure.hxx